> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neosantara.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Download generated video

> Redirect to the generated video content once the video job is completed.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/videos/{video_id}/content
openapi: 3.1.0
info:
  title: Neosantara AI API
  description: OpenAI-compatible LLM Gateway
  version: 1.0.0
servers:
  - url: https://api.neosantara.xyz
    description: Neosantara Production Gateway
security:
  - bearerAuth: []
paths:
  /v1/videos/{video_id}/content:
    get:
      tags:
        - Videos
      summary: Download generated video
      description: Redirect to the generated video content once the video job is completed.
      operationId: getV1VideosByVideoIdContent
      parameters:
        - schema:
            type: string
          in: path
          name: video_id
          required: true
      responses:
        '302':
          description: Redirect to generated video content
        '404':
          description: Video not ready or not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      type:
                        type: string
                      param:
                        type:
                          - string
                          - 'null'
                      code:
                        type:
                          - string
                          - 'null'
                    required:
                      - message
                required:
                  - error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Generasi Video](/id/gateway/capabilities/video-generation.md)
- [Retrieve video job](/api-reference/videos/retrieve-video-job.md)
- [Create video job](/api-reference/videos/create-video-job.md)
- [Integrasi Webhook](/id/guides/webhooks.md)
- [E2B Sandbox](/id/integrations/e2b-sandbox.md)
